<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>ConnectorTypeUtil xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../apidocs/org/eclipse/papyrus/designer/components/FCM/util/ConnectorTypeUtil.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2013 CEA LIST</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials are</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * made available under the terms of the Eclipse Public License v1.0 which</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> *    Ansgar Radermacher - Initial API and implementation</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.components.FCM.util;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> java.util.ArrayList;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.InteractionComponent;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Collaboration;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/ConnectorTypeUtil.html">ConnectorTypeUtil</a> {
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  	<strong class="jxr_keyword">protected</strong> Collaboration connectionPattern = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  	<strong class="jxr_keyword">protected</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/InteractionComponent.html">InteractionComponent</a> connectorComp = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  	<strong class="jxr_keyword">protected</strong> FCMUtil.RoleBindingTable bindingTable = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  	<strong class="jxr_keyword">public</strong> FCMUtil.RoleBindingTable getRoleBindings(org.eclipse.papyrus.designer.components.FCM.Connector connector) {
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  		<strong class="jxr_keyword">if</strong> (connector.getIc() instanceof InteractionComponent) {
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  			connectorComp = connector.getIc();
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  			connectionPattern = connectorComp.getConnectionPattern();
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  			bindingTable = <strong class="jxr_keyword">new</strong> FCMUtil.RoleBindingTable();
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  			<strong class="jxr_keyword">for</strong> (org.eclipse.uml2.uml.ConnectableElement role : connectionPattern.getRoles()) {
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  				bindingTable.addEntry(role, <strong class="jxr_keyword">new</strong> ArrayList&lt;org.eclipse.uml2.uml.NamedElement&gt;());
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  			}
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  			<strong class="jxr_keyword">return</strong> bindingTable;
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  		}
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  	}
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
